org.apache.flume.channel.file

## Class EventUtils

- java.lang.Object
- - org.apache.flume.channel.file.EventUtils

-     public class EventUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Event` | `getEventFromTransactionEvent(TransactionEventRecord transactionEventRecord)` Returns the Event encapsulated by a Put wrapper

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventUtils

          public EventUtils()

  - ### Method Detail

    - #### getEventFromTransactionEvent

          public static Event getEventFromTransactionEvent(TransactionEventRecord transactionEventRecord)

      Returns the Event encapsulated by a Put wrapper
      Parameters:
        `transactionEventRecord` - TransactionEvent
      Returns:
        Event if Put instance is present, null otherwise

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.